﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Java.Text;
using Java.Util;
using System.Globalization;
using Java.Lang;
using Android.Views;
using System;

namespace SimpleSample
{
    [Activity(Label = "SimpleSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        public ObservableArrayList dataPoints, dataPoints1;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SfChart chart = new SfChart(this);
            chart.SetBackgroundColor(Color.White);

            CategoryAxis primaryAxis = new CategoryAxis();
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            chart.SecondaryAxis = secondaryAxis;

            dataPoints = new ObservableArrayList();
            dataPoints.Add(new ChartDataPoint("Jan", 2000000));
            dataPoints.Add(new ChartDataPoint("Feb", 1000000));
            dataPoints.Add(new ChartDataPoint("Mar", 1500000));
            dataPoints.Add(new ChartDataPoint("Apr", 2500000));
            dataPoints.Add(new ChartDataPoint("May", 3000000));

            dataPoints1 = new ObservableArrayList();
            dataPoints1.Add(new ChartDataPoint("Jan", 4000000));
            dataPoints1.Add(new ChartDataPoint("Feb", 7000000));
            dataPoints1.Add(new ChartDataPoint("Mar", 5000000));
            dataPoints1.Add(new ChartDataPoint("Apr", 3500000));
            dataPoints1.Add(new ChartDataPoint("May", 4000000));

            ColumnSeries series = new ColumnSeries();
            series.DataSource = dataPoints;
            series.TooltipEnabled = true;
            chart.Series.Add(series);

            LineSeries lineSeries = new LineSeries();
            lineSeries.DataSource = dataPoints1;
            lineSeries.TooltipEnabled = true;
            chart.Series.Add(lineSeries);

            ChartTooltipBehaviorExt tooltip = new ChartTooltipBehaviorExt();
            chart.Behaviors.Add(tooltip);

            SetContentView(chart);
        }
    }

    public class ChartTooltipBehaviorExt : ChartTooltipBehavior
    {
        string formattedLabel;
        public ChartTooltipBehaviorExt()
        {

        }
        protected override View GetView(TooltipView p0)
        {
            if (p0.Series is ColumnSeries)
            {
                double yValue = Convert.ToDouble(p0.Label);
                formattedLabel = System.String.Format("{0:#,##0,000}", yValue);
                p0.Label = "Rp." + formattedLabel;
            }
            return base.GetView(p0);
        }
    }
}

